Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.services.deployment.metadata
Class PropertyInfo

    java.lang.Object
      org.jboss.services.deployment.metadata.PropertyInfo

All Implemented Interfaces:
  Serializable

public class PropertyInfo
extends Object
implements Serializable

Simple POJO class to model XML data

Version:
  $Revision: 1.1.4.1 $
Author:
  Dimitris Andreadis
See Also:
  Serialized Form

Constructor Summary
`PropertyInfo()`
`PropertyInfo(PropertyInfo that)`
`PropertyInfo(String name, String type, boolean optional, String description, Object defaultValue)`

Method Summary
`Object` | `getDefaultValue()`
`String` | `getDescription()`
`String` | `getName()`
`String` | `getType()`
`boolean` | `isOptional()`
`void` | `setDefaultValue(Object defaultValue)`
`void` | `setDescription(String description)`
`void` | `setName(String name)`
`void` | `setOptional(boolean optional)`
`void` | `setType(String type)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyInfo

    public PropertyInfo()

### PropertyInfo

    public PropertyInfo(PropertyInfo that)

### PropertyInfo

    public PropertyInfo(String name,
                        String type,
                        boolean optional,
                        String description,
                        Object defaultValue)

Method Detail

### getDefaultValue

    public Object getDefaultValue()

### setDefaultValue

    public void setDefaultValue(Object defaultValue)

### getDescription

    public String getDescription()

### setDescription

    public void setDescription(String description)

### getName

    public String getName()

### setName

    public void setName(String name)

### isOptional

    public boolean isOptional()

### setOptional

    public void setOptional(boolean optional)

### getType

    public String getType()

### setType

    public void setType(String type)

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.